/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package com.cosmodas.FacadeCosmos;

import com.cosmodas.EntCosmos.DetalleRemision;
import com.cosmodas.EntCosmos.Generales;
import com.cosmodas.EntCosmos.StatusProductos;

import java.util.List;
import javax.ejb.Local;

/**
 * @author obper
 */
@Local
public interface GeneralesFacadeLocal {

    void create(Generales generales);

    void edit(Generales generales);

    void remove(Generales generales);

    Generales find(Object id);

    List<Generales> findAll();

    List<Generales> findRange(int[] range);

    int count();

    Generales ParametrosGenerales();

    List<StatusProductos> obtnerPredictivo(String sucursalCodigo, String programaCodigo, Integer cantidad);

    Integer obtenerFacturados(String productCodigo, String programaCodigo, String sucursalCodigo);

    Integer obtenerdetPedidos(String productCodigo, String programaCodigo, String sucursalCodigo);

    List<DetalleRemision> detalleRemisions(String codigoRemn);

}
